curl --request PUT \
--url https://api.cadanapay.com/v1/statutory/businesses/{business_id}/fields/{country_code} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": {
"betriebsnummer": "12345678",
"finanzamtNummer": "2722"
}
}
'{
"error": {
"code": "invalid_request",
"message": "countryCode is required",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Submit statutory filing fields for a business in a jurisdiction. Use this
endpoint for fields returned by the required-fields endpoint with
entity: "business" and scope containing "filing".
Fields are validated against the jurisdiction’s field definitions. Unknown keys are rejected.
curl --request PUT \
--url https://api.cadanapay.com/v1/statutory/businesses/{business_id}/fields/{country_code} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": {
"betriebsnummer": "12345678",
"finanzamtNummer": "2722"
}
}
'{
"error": {
"code": "invalid_request",
"message": "countryCode is required",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Business identifier
ISO 3166-1 alpha-2 country code
^[A-Z]{2}$Request body for submitting statutory filing fields.
Key-value pairs of field data. Keys must match the key values
from the jurisdiction's required-fields response.
Show child attributes
{
"steuerID": "97148835200",
"personengruppenschluessel": "101"
}Fields saved successfully